function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React from 'react';
import { connect } from "react-redux";
import TextField from "./field-forms/TextField";
import Checkbox from "./field-forms/Checkbox";
import Content from "./field-forms/Content";
import Date from "./field-forms/Date";
import File from "./field-forms/File";
import Image from "./field-forms/Image";
import List from "./field-forms/List";
import Quiz from "./field-forms/Quiz";
import Select from "./field-forms/Select";
import Signature from "./field-forms/Signature";
import Survey from "./field-forms/Survey";
import Video from "./field-forms/Video";
import Radio from "./field-forms/Radio";
import Section from "./field-forms/Section";
import _ from 'lodash';
function EditField(props) {
  var _props$data, _props$data$editId, _props$data$editId$co, _props$allRoles;
  var field = {};
  if (props.newFieldData) {
    field = _.cloneDeep(props.newFieldData);
  } else {
    field = _.cloneDeep(props.data[props.editId]);
    if (field.locals && Object.keys(field.locals).length) Object.keys(field.locals).forEach(function (local) {
      if (local && Object.keys(local).length) field.config = _extends({}, field.config, field.locals[local]);
    });
  }
  var editId = (props == null ? void 0 : props.editId) || "83b39886-da74-4654-ae7d-e4d427082d48";
  var hiddenRoles = (props == null ? void 0 : (_props$data = props.data) == null ? void 0 : (_props$data$editId = _props$data[editId]) == null ? void 0 : (_props$data$editId$co = _props$data$editId.config) == null ? void 0 : _props$data$editId$co.hiddenRoles) || [];
  var updatedRoles = [];
  (_props$allRoles = props.allRoles) == null ? void 0 : _props$allRoles.forEach(function (role) {
    updatedRoles.push(_extends({}, role, {
      label: role == null ? void 0 : role.name,
      value: role == null ? void 0 : role.id
    }));
  });
  var renderFieldForms = function renderFieldForms() {
    switch (field.type) {
      case 'checkbox':
        return /*#__PURE__*/React.createElement(Checkbox, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'radio':
        return /*#__PURE__*/React.createElement(Radio, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'content':
        return /*#__PURE__*/React.createElement(Content, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'date':
        return /*#__PURE__*/React.createElement(Date, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'file':
        return /*#__PURE__*/React.createElement(File, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'image':
        return /*#__PURE__*/React.createElement(Image, {
          data: field
        });
      case 'list':
        return /*#__PURE__*/React.createElement(List, {
          data: field
        });
      case 'quiz':
        return /*#__PURE__*/React.createElement(Quiz, {
          data: field
        });
      case 'select':
        return /*#__PURE__*/React.createElement(Select, {
          data: field,
          allRoles: updatedRoles
        });
      case 'signature':
        return /*#__PURE__*/React.createElement(Signature, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'survey':
        return /*#__PURE__*/React.createElement(Survey, {
          data: field
        });
      case 'text':
        return /*#__PURE__*/React.createElement(TextField, {
          data: field,
          allRoles: updatedRoles,
          hiddenRoles: hiddenRoles
        });
      case 'video':
        return /*#__PURE__*/React.createElement(Video, {
          data: field
        });
      case 'section':
        return /*#__PURE__*/React.createElement(Section, {
          data: field
        });
      default:
        return /*#__PURE__*/React.createElement("div", null, "Something magical happened");
    }
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "position-relative ahfb-width-full"
  }, renderFieldForms());
}
var mapStateToProps = function mapStateToProps(state) {
  return {
    newFieldData: state.form.newFieldData,
    editId: state.toolbar.editId,
    data: state.form.data,
    allRoles: state.form.allRoles
  };
};
var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {};
};
export default connect(mapStateToProps, mapDispatchToProps)(EditField);