"use strict";

exports.__esModule = true;
exports.updateField = exports.updateEditData = exports.setUsers = exports.setTheme = exports.setRoles = exports.setPredefinedValues = exports.setPredefinedEndpoint = exports.setOrder = exports.setLocals = exports.setInitialData = exports.setFormId = exports.setFileUploadUrl = exports.setCurrentLang = exports.setConditionableFields = exports.setAllRoles = exports.setAddLanguageSelect = exports.deleteNewField = exports.deleteField = exports.createField = void 0;
var createField = exports.createField = function createField(data) {
  return function (dispatch) {
    dispatch({
      type: 'CREATE_FIELD',
      payload: {
        data: data
      }
    });
  };
};
var deleteField = exports.deleteField = function deleteField(id) {
  return function (dispatch) {
    dispatch({
      type: 'DELETE_FIELD',
      payload: {
        id: id
      }
    });
  };
};
var updateField = exports.updateField = function updateField(data) {
  return function (dispatch) {
    dispatch({
      type: 'UPDATE_FIELD',
      payload: {
        data: data
      }
    });
  };
};
var setPredefinedValues = exports.setPredefinedValues = function setPredefinedValues(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_PREDEFINED',
      payload: {
        data: data
      }
    });
  };
};
var setUsers = exports.setUsers = function setUsers(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_USERS',
      payload: {
        data: data
      }
    });
  };
};
var setPredefinedEndpoint = exports.setPredefinedEndpoint = function setPredefinedEndpoint(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_PREDEFINED_ENDPOINT',
      payload: {
        data: data
      }
    });
  };
};
var setRoles = exports.setRoles = function setRoles(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_ROLES',
      payload: {
        data: data
      }
    });
  };
};
var setAllRoles = exports.setAllRoles = function setAllRoles(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_ALL_ROLES',
      payload: {
        data: data
      }
    });
  };
};
var updateEditData = exports.updateEditData = function updateEditData(data) {
  return function (dispatch) {
    dispatch({
      type: 'UPDATE_EDIT_DATA',
      payload: {
        data: data
      }
    });
  };
};
var setFileUploadUrl = exports.setFileUploadUrl = function setFileUploadUrl(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_FILE_UPLOAD_URL',
      payload: {
        data: data
      }
    });
  };
};
var setInitialData = exports.setInitialData = function setInitialData(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_INITIAL',
      payload: {
        data: data
      }
    });
  };
};
var setConditionableFields = exports.setConditionableFields = function setConditionableFields(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_CONDITIONABLE_FIELDS',
      payload: {
        data: data
      }
    });
  };
};
var deleteNewField = exports.deleteNewField = function deleteNewField() {
  return function (dispatch) {
    dispatch({
      type: 'DELETE_NEW_FIELD',
      payload: {}
    });
  };
};
var setOrder = exports.setOrder = function setOrder(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_ORDER',
      payload: {
        data: data
      }
    });
  };
};
var setLocals = exports.setLocals = function setLocals(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_LOCALS',
      payload: {
        data: data
      }
    });
  };
};
var setFormId = exports.setFormId = function setFormId(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_FORMID',
      payload: {
        data: data
      }
    });
  };
};
var setTheme = exports.setTheme = function setTheme(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_THEME',
      payload: {
        data: data
      }
    });
  };
};
var setCurrentLang = exports.setCurrentLang = function setCurrentLang(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_CURRENT_LANGUAGE',
      payload: {
        data: data
      }
    });
  };
};
var setAddLanguageSelect = exports.setAddLanguageSelect = function setAddLanguageSelect(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_ADD_LANGUAGE_SELECT',
      payload: {
        data: data
      }
    });
  };
};