"use strict";

exports.__esModule = true;
exports.updateCategoryOptions = exports.setIsOptionUpdated = exports.addCategory = void 0;
var addCategory = exports.addCategory = function addCategory(data) {
  return function (dispatch) {
    dispatch({
      type: 'ADD_PREDEFINED_CATEGORY',
      payload: {
        data: data
      }
    });
  };
};
var updateCategoryOptions = exports.updateCategoryOptions = function updateCategoryOptions(options, slug) {
  return function (dispatch) {
    dispatch({
      type: 'UPDATE_CATEGORY_OPTIONS',
      payload: {
        slug: slug,
        options: options
      }
    });
    return Promise.resolve();
  };
};
var setIsOptionUpdated = exports.setIsOptionUpdated = function setIsOptionUpdated(value) {
  return function (dispatch) {
    dispatch({
      type: 'SET_IS_OPTION_UPDATED',
      payload: value
    });
  };
};