"use strict";

exports.__esModule = true;
exports.enableFieldEdit = exports.disableFieldEdit = void 0;
var enableFieldEdit = exports.enableFieldEdit = function enableFieldEdit(id, operation) {
  return function (dispatch) {
    dispatch({
      type: 'ENABLE_FIELD_EDIT',
      payload: {
        id: id,
        operation: operation
      }
    });
  };
};
var disableFieldEdit = exports.disableFieldEdit = function disableFieldEdit(id) {
  return function (dispatch) {
    dispatch({
      type: 'DISABLE_FIELD_EDIT',
      payload: {
        id: id
      }
    });
  };
};