"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var _default = exports["default"] = function _default(props) {
  var _useState = (0, _react.useState)(false),
    dragOver = _useState[0],
    setDragOver = _useState[1];
  var _onDragOver = function onDragOver(e) {
    e.preventDefault();
    setDragOver(true);
  };
  var _onDragLeave = function onDragLeave(e) {
    setDragOver(false);
  };
  var dropCallback = function dropCallback() {
    setDragOver(false);
  };
  if (props.onDragExisitingField) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      onDragOver: function onDragOver(e) {
        _onDragOver(e);
      },
      onDrop: function onDrop(e) {
        props.onDrop(props.data.index, props.data.field.type, props.data.field.uuid, props.data.field.order, e, dropCallback);
      },
      onDragLeave: function onDragLeave(e) {
        _onDragLeave(e);
      }
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: dragOver ? " droppable-border-active " : '',
      style: {
        height: dragOver ? 70 : 10
      }
    }));
  }
  return /*#__PURE__*/_react["default"].createElement("div", {
    onDragOver: function onDragOver(e) {
      _onDragOver(e);
    },
    onDrop: function onDrop(e) {
      props.onDrop(e, props.order, dropCallback);
    },
    onDragLeave: function onDragLeave(e) {
      _onDragLeave(e);
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: dragOver ? " droppable-border-active " : '',
    style: {
      height: dragOver ? 70 : 10
    }
  }));
};
module.exports = exports.default;