"use strict";

exports.__esModule = true;
exports["default"] = CustomCheckbox;
var _react = _interopRequireDefault(require("react"));
var _FormControlLabel = _interopRequireDefault(require("@material-ui/core/FormControlLabel"));
var _Checkbox = _interopRequireDefault(require("@material-ui/core/Checkbox"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function CustomCheckbox(props) {
  var checked = props.checked,
    handleChange = props.handleChange,
    label = props.label,
    disabled = props.disabled;
  return /*#__PURE__*/_react["default"].createElement(_FormControlLabel["default"], {
    disabled: disabled,
    control: /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
      checked: checked,
      onChange: function onChange(e) {
        return handleChange(e.target.checked);
      }
    }),
    label: label
  });
}
module.exports = exports.default;